#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ptr
version:              0.16.8.4
visibility:           public
id:                   ptr-0.16.8.4-5cFh4NqXhCTKNdvkuDKie8
key:                  ptr-0.16.8.4-5cFh4NqXhCTKNdvkuDKie8
license:              MIT
copyright:            (c) 2017, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/ptr
synopsis:             Experimental abstractions for operations on pointers
description:
    Collection of experimental abstractions over pointer operations.

category:             Ptr, Data
abi:                  a15429460c18a77805889c0614cf17ea
exposed:              True
exposed-modules:
    Ptr.ByteString Ptr.IO Ptr.Parse Ptr.ParseUnbound Ptr.Peek Ptr.Poke
    Ptr.PokeAndPeek Ptr.Poking Ptr.Read Ptr.Receive

hidden-modules:
    Ptr.List Ptr.PokeIO Ptr.Prelude Ptr.Receive.Core
    Ptr.UncheckedShifting Ptr.Util.ByteString Ptr.Util.Word8Predicates

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ptr-0.16.8.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ptr-0.16.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ptr
hs-libraries:         HSptr-0.16.8.4-5cFh4NqXhCTKNdvkuDKie8
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    profunctors-5.6.2-IuWMeIJlbc19pZm396EPxJ
    strict-list-0.1.7-ChrbTknctYMGTCkSosYRBn text-1.2.5.0 time-1.9.3
    vector-0.13.0.0-GsrNLADOwIh8THk5NHujPC

haddock-interfaces:   /usr/share/doc/haskell-ptr/html/ptr.haddock
haddock-html:         /usr/share/doc/haskell-ptr/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

